Gradle

Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Specify and document variant validation rules

Specify and document variant validation rules

Specify and document variant validation rules

Specify and document variant validation rules

Gradle module metadata: forbid no version at all

With this change, it becomes illegal to create a Gradle Module Metadata

file that has depedencies or constraints declared without any version at

all across all variants.

Gradle module metadata: forbid no version at all

With this change, it becomes illegal to create a Gradle Module Metadata

file that has depedencies or constraints declared without any version at

all across all variants.

Gradle module metadata: forbid no version at all

With this change, it becomes illegal to create a Gradle Module Metadata

file that has depedencies or constraints declared without any version at

all across all variants.

Gradle module metadata: forbid no version at all

With this change, it becomes illegal to create a Gradle Module Metadata

file that has depedencies or constraints declared without any version at

all across all variants.

Merge branch 'master' into eskatos/ie/instantIntegTest-enable

Mention contibutor in release note

    • -1
    • +2
    /subprojects/docs/src/docs/release/notes.md
Merge pull request #11135 from izeye/fix-typo

Fix typo

Improve wording of Kotlin DSL script base types section in the upgrade guide

Annotate integ tests failing with instant execution in :buildCacheHttp

after one more round of CI feedback

Signed-off-by: Paul Merlin <paul@gradle.com>

Add note about new Kotlin DSL script templates to the upgrade guide

Prove the new script templates are not missing any members

- prove new init script template is not missing any members from the legacy

`InitScriptApi`

- prove new setting script template is not missing any members from the legacy

`SettingsScriptApi`

Upgrade Kotlin to 1.3.60

Upgrade Kotlin to 1.3.60

Upgrade Kotlin to 1.3.60

Upgrade Kotlin to 1.3.60

Upgrade Kotlin to 1.3.60

Mark `InitScriptApi` and `SettingsScriptApi` deprecated

And provide a suggestion to `replaceWith` the corresponding script receiver.

Remove printlns

Signed-off-by: Paul Merlin <paul@gradle.com>

Merge branch 'master'

Inline VirtualFileSystemTestFixture

Fix instructions for skipping sha256 and sha512

Also document them in the publishing chapter.

Issue #11308

    • -2
    • +2
    /subprojects/docs/src/docs/release/notes.md
Fix instructions for skipping sha256 and sha512

Also document their creation in the publishing chapter.

Issue #11308

    • -2
    • +2
    /subprojects/docs/src/docs/release/notes.md
Remove printlns

Signed-off-by: Paul Merlin <paul@gradle.com>

Add another sample to compareWithCommonPrefix

Use Comparable in SearchUtil

This requires to turn around the compareWithCommonPrefix function to

make it consistent with they way it is used in `binarySearch`

Publish 6.0.1-20191115103811+0000